function NewCalComps=MFAJR_MultiplicativeCalCompCombineNoSymToolbox(Comp1,Comp2,Freqs3)

% Take the two sets of calibration factor vectors Comp1 and Comp2 (Normally 3-column 1-row vectors for f^2, f and offset)
% and combine them together into 1 new calibration vector, fitted at Freqs3 (3-column vector of frequencies)

%Gain_comp_coeffs5 = sym2poly(poly2sym(Comp1)*poly2sym(Comp2));

% The following does not use symbolic toolbox, but will only work if Comp1
% and Comp2 are the same size (order).
Order1 = (length(Comp1)-1);
Order2 = (length(Comp2)-1);
NewOrder = Order1+Order2;
Gain_comp_coeffs5 = zeros(1,NewOrder+1);
for ii=0:Order1
    for jj=0:Order2
        Gain_comp_coeffs5(1,ii+jj+1)=Gain_comp_coeffs5(1,ii+jj+1)+Comp1(1,ii+1)*Comp2(1,jj+1);
    end
end

% This gives a polynomial order 4 (or less, if one of comp1 or comp2 were less than order 2
% Now, we've got to get back to a order 3 polynomial.
% Can't just throw away the F^4 and F^3 components, must account for them!
NewCalVals=polyval(Gain_comp_coeffs5 ,Freqs3);
NewCalComps = polyfit(Freqs3,NewCalVals,2);

end
